String runningtime;
PImage poster;

void setup() {
  size(350, 550);
  loadData();
}

void draw() {
  // Display all the stuff I want to display
  background(255);
  image(poster, 25, 10, 300, 450);
  fill(0);
  text("Shaun the Sheep", 100, 500);
  text(runningtime, 120, 520);
}

void loadData() {
  String url = "http://www.imdb.com/title/tt2872750/";

  // Get the raw HTML source into an array of strings (each line is one element in the array).
  // The next step is to turn array into one long string with join().
  String[] lines = loadStrings(url);
  String html = join(lines, "");

  String start = "";
  String end = "";
  runningtime = giveMeTextBetween(html, "Runtime:</h4><time datetime=\"PT85M\">", "</time>"); //Searching for running time.

  // Search for the URL of the poster image.
  String imgUrl = giveMeTextBetween(html, "Sheep Movie Poster\"src=\", "\" />");
  // Now, load that image!
  poster = loadImage(imgUrl);
}

String giveMeTextBetween(String s, String before, String after) {

  // This function returns a substring between two substrings (before and after).
  //  If it can’t find anything it returns an empty string.
  String found = "";

  // Find the index of before
  int start = s.indexOf(before);     
  if (start == -1) {
    return "";                       
  }    

  // Move to the end of the beginning tag
  // and find the index of the "after" String      
  start += before.length();    
  int end = s.indexOf(after, start); 
  if (end == -1) {
    return "";                       
  }

  // Return the text in between
  return s.substring(start, end); 
}
