//---------------------------------------------------------------------------------
//   From the data visualization tutorial by gabriel Gianordoll
//   http://geojournalism.org/2013/08/portugues-as-cidades-mais-populosas-do-mundo/
//---------------------------------------------------------------------------------
PFont myFont;
// Loading the file into a table. "header" means that the first line  
// of the file is to be understood as a header.
Table table = loadTable("cities.tsv", "header");


size(1200, 200);

  // Load the font
  myFont = createFont("Arial", 12);
  textFont(myFont);


// Creating an action in a "for loop"
for (int i = 0; i < table.getRowCount(); i++){
  // For each time in the loop, perform the action below:
  
  TableRow line = table.getRow(i);  //--Select line corresponding to count (i)
  // Draw rectangles in distances multiples of 120
  // As our count of 10 elements starts at 0, it goes up to 9!
  int posX = (120*i) + 25;
  int posY = 50;
  String name = line.getString("city");
  text(name, posX, posY-10); 
  float side = sqrt(line.getInt("area"));   // use sqrt() function to size squares proportionately
  rect(posX, posY, side, side);

  // for loop with "j" as counter
  for (int j = 0;                       
    j < line.getInt("population")/5000; //... go to the number read in the "population" column of each line ...
    j = j + 1) {                            
    
    // Plot points in random coordinates within our area.
    point( random(posX, posX + side),
           random(posY, posY + side));
  }
}

save("cities.jpg");
